Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# Transitions Class Reference

List of all members.

## Public Member Functions
def | __init__
def | __del__
def | fadeIn
def | fadeOut
def | fadeOutActive
def | fadeScreen
def | fadeScreenColor
def | getFadeInIval
def | getFadeOutIval
def | irisIn
def | irisOut
def | letterboxOff
def | letterboxOn
def | loadFade
def | loadIris
| Iris.
def | loadLetterbox
| Letterbox.
def | noFade
def | noIris
def | noLetterbox
def | noTransitions
def | setFadeColor
def | setFadeModel
| Fade.
## Public Attributes
| alphaOff
| alphaOn
| fade
| fadeModel
| fadeTaskName
| imagePos
| iris
| irisTaskName
| lerpFunc
| letterbox
| letterboxBottom
| letterboxIval
| letterboxTaskName
| letterboxTop
| transitionIval
## Static Public Attributes
string | FadeModelName = "models/misc/fade"
string | IrisModelName = "models/misc/iris"

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | loader,
|  |  | model = `None`,
|  |  | scale = `3.0`,
|  |  | pos = `Vec3(0, 0`
| ) |  |

def __del__ | ( |  | self | ) |

## Member Function Documentation

def fadeIn | ( |  | self,
|  |  | t = `0.5`,
|  |  | finishIval = `None`
| ) |  |

    Play a fade in transition over t seconds.
    Places a polygon on the aspect2d plane then lerps the color
    from black to transparent. When the color lerp is finished, it
    parents the fade polygon to hidden.

def fadeOut | ( |  | self,
|  |  | t = `0.5`,
|  |  | finishIval = `None`
| ) |  |

    Play a fade out transition over t seconds.
    Places a polygon on the aspect2d plane then lerps the color
    from transparent to full black. When the color lerp is finished,
    it leaves the fade polygon covering the aspect2d plane until you
    fadeIn or call noFade.
    lerp

def fadeOutActive | ( |  | self | ) |

def fadeScreen | ( |  | self,
|  |  | alpha = `0.5`
| ) |  |

    Put a semitransparent screen over the camera plane
    to darken out the world. Useful for drawing attention to
    a dialog box for instance

def fadeScreenColor | ( |  | self,
|  |  | color
| ) |  |

    Put a semitransparent screen over the camera plane
    to darken out the world. Useful for drawing attention to
    a dialog box for instance

def getFadeInIval | ( |  | self,
|  |  | t = `0.5`,
|  |  | finishIval = `None`
| ) |  |

    Returns an interval without starting it.  This is particularly useful in
    cutscenes, so when the cutsceneIval is escaped out of we can finish the fade immediately

def getFadeOutIval | ( |  | self,
|  |  | t = `0.5`,
|  |  | finishIval = `None`
| ) |  |

    Create a sequence that lerps the color out, then
    parents the fade to hidden

def irisIn | ( |  | self,
|  |  | t = `0.5`,
|  |  | finishIval = `None`
| ) |  |

    Play an iris in transition over t seconds.
    Places a polygon on the aspect2d plane then lerps the scale
    of the iris polygon up so it looks like we iris in. When the
    scale lerp is finished, it parents the iris polygon to hidden.

def irisOut | ( |  | self,
|  |  | t = `0.5`,
|  |  | finishIval = `None`
| ) |  |

    Play an iris out transition over t seconds.
    Places a polygon on the aspect2d plane then lerps the scale
    of the iris down so it looks like we iris out. When the scale
    lerp is finished, it leaves the iris polygon covering the
    aspect2d plane until you irisIn or call noIris.

def letterboxOff | ( |  | self,
|  |  | t = `0.25`,
|  |  | finishIval = `None`
| ) |  |

    Move black bars away over t seconds.

def letterboxOn | ( |  | self,
|  |  | t = `0.25`,
|  |  | finishIval = `None`
| ) |  |

    Move black bars in over t seconds.

def loadFade | ( |  | self | ) |

def loadIris | ( |  | self | ) |

Iris.

def loadLetterbox | ( |  | self | ) |

Letterbox.

def noFade | ( |  | self | ) |

    Removes any current fade tasks and parents the fade polygon away

def noIris | ( |  | self | ) |

    Removes any current iris tasks and parents the iris polygon away

def noLetterbox | ( |  | self | ) |

    Removes any current letterbox tasks and parents the letterbox polygon away

def noTransitions | ( |  | self | ) |

    This call should immediately remove any and all transitions running

def setFadeColor | ( |  | self,
|  |  | r,
|  |  | g,
|  |  | b
| ) |  |

def setFadeModel | ( |  | self,
|  |  | model,
|  |  | scale = `1.0`
| ) |  |

Fade.

## Member Data Documentation

alphaOff

alphaOn

fade

fadeModel

string FadeModelName = "models/misc/fade"`[static]`

fadeTaskName

imagePos

iris

string IrisModelName = "models/misc/iris"`[static]`

irisTaskName

lerpFunc

letterbox

letterboxBottom

letterboxIval

letterboxTaskName

letterboxTop

transitionIval

All Classes Namespaces Functions Variables Enumerations Enumerator Properties